Subject: Re: [PATCH net-next 1/4] netlink: truncate overlength attribute list in nla_nest_end()

From: Stephen Hemminger <[email-masked]>
Date: Wed, 7 Jun 2023 09:52:54 -0700

On Wed, 7 Jun 2023 09:33:24 -0700
Jakub Kicinski <[email-masked]> wrote:

> > > 
> > > The problem is basically that attributes can only be 64kB and 
> > > the legacy SR-IOV API wraps all the link info in an attribute.    
> > 
> > Isn't that a second order issue? The skb itself is limited to 32kB AFAICT.  
> 
> Hm, you're right. But allocation larger than 32kB are costly.
> We can't make every link dump allocate 64kB, it will cause
> regressions on systems under memory pressure (== real world).
> 
> You'd need to come up with some careful scheme of using larger
> buffers.

Why does it all have to be a single message?
Things like 3 million routes are dumped fine, as multiple messages.